package com.uniview.airimos.android_ts_sdk_sample;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ListView;
import android.widget.SimpleAdapter;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

/**
 * Created by l02465 on 2016/4/27.
 */
public class GuideActivity extends Activity implements AdapterView.OnItemClickListener{

    private ListView mGuideList = null;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_guide);

        mGuideList = (ListView)findViewById(R.id.guide_list);

        mGuideList.setOnItemClickListener(this);

        List<HashMap<String,Object>> list = new ArrayList<>();

        HashMap<String,Object> map1 = new HashMap<>();
        map1.put("title",getResources().getString(R.string.title_live));
        map1.put("desc",getResources().getString(R.string.desc_live));
        map1.put("arrow",R.drawable.ic_action_next_item);

        HashMap<String,Object> map2 = new HashMap<>();
        map2.put("title",getResources().getString(R.string.title_ptz));
        map2.put("desc",getResources().getString(R.string.desc_ptz));
        map2.put("arrow",R.drawable.ic_action_next_item);

        HashMap<String,Object> map3 = new HashMap<>();
        map3.put("title",getResources().getString(R.string.title_alarm));
        map3.put("desc",getResources().getString(R.string.desc_alarm));
        map3.put("arrow", R.drawable.ic_action_next_item);

        list.add(map1);
        list.add(map2);
        list.add(map3);

        SimpleAdapter adapter = new SimpleAdapter(this,list,R.layout.guide_item,new String[]{"title","desc","arrow"},
                new int[]{R.id.title_text,R.id.desc_text,R.id.arrows});

        mGuideList.setAdapter(adapter);
    }

    @Override
    public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
        //单击每一项跳转到相应的功能页面
        switch (position)
        {
            case 0:
                Intent live = new Intent(view.getContext(),LiveReplayActivity.class);
                startActivity(live);
                break;
            case 1:
                Intent ptz = new Intent(view.getContext(),PtzActivity.class);
                startActivity(ptz);
                break;
            case 2:
                Intent alarm = new Intent(view.getContext(),PushAlarmActivity.class);
                startActivity(alarm);
                break;
            default:
                break;
        }
    }
}
