/*
 * Copyright (c) 2013, ZheJiang Uniview Technologies Co., Ltd. All rights reserved.
 * <http://www.uniview.com/>
 *------------------------------------------------------------------------------
 * Product     : IMOS
 * Module Name : 
 * Date Created: 2013-11-5
 * Creator     : y00486
 * Description : 
 *
 *------------------------------------------------------------------------------
 * Modification History
 * DATE        NAME             DESCRIPTION
 * 
 *------------------------------------------------------------------------------
 */
package com.uniview.airimos.android_ts_sdk_sample;


import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

import com.uniview.airimos.listener.OnLoginListener;
import com.uniview.airimos.manager.ServiceManager;
import com.uniview.airimos.parameter.LoginParam;

/**
 * 登录界面
 * 
 * @author y00486
 */
public class LoginActivity extends Activity implements OnLoginListener
{
    private Button mBtnLogin;
    private EditText mEditServer;
    private EditText mEditPort;
    private EditText mEditUserName;
    private EditText mEditUserPasswd;

    @Override
    protected void onCreate(Bundle savedInstanceState)
    {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_login);

        mBtnLogin = (Button) findViewById(R.id.btn_login);
        mEditServer = (EditText) findViewById(R.id.edittext_server);
        mEditPort = (EditText) findViewById(R.id.edittext_port);
        mEditUserName = (EditText) findViewById(R.id.edittext_username);
        mEditUserPasswd = (EditText) findViewById(R.id.edittext_password);
        mBtnLogin.setOnClickListener(new View.OnClickListener()
            {
                @Override
                public void onClick(View v)
                {
                    // 设置登录参数
                    LoginParam params = new LoginParam();
                    params.setServer(mEditServer.getText().toString());
                    params.setPort(Integer.parseInt(mEditPort.getText().toString()));
                    params.setUserName(mEditUserName.getText().toString());
                    params.setPassword(mEditUserPasswd.getText().toString());
                    
                    //调用登录接口
                    ServiceManager.login(params, LoginActivity.this);
                }
            });
    }
    
    
    /**
     * 登录结果返回
     */
    @Override
    public void onLoginResult(long errorCode, String errorDesc)
    {
        //成功为0，其余为失败错误码
        if (errorCode == 0)
        {
            Intent intent = new Intent();
            intent.setClass(LoginActivity.this, GuideActivity.class);
            startActivity(intent);
        }
        else
        {
            Toast.makeText(LoginActivity.this, "登录失败：" + errorCode + "," + errorDesc, Toast.LENGTH_LONG).show();
            
        }
    }
}
