package com.uniview.airimos.android_ts_sdk_sample.adapter;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;

import com.uniview.airimos.android_ts_sdk_sample.R;
import com.uniview.airimos.obj.AlarmInfo;

import java.util.List;

/**
 * Created by l02465 on 2016/4/27.
 */
public class AlarmAdapter extends BaseAdapter{
    private List<AlarmInfo> mList;
    private LayoutInflater mInflater;

    public AlarmAdapter(Context context,List<AlarmInfo> list){
        this.mList = list;
        mInflater = LayoutInflater.from(context);
    }
    @Override
    public int getCount() {
        return mList.size();
    }

    @Override
    public Object getItem(int position) {
        return mList.get(position);
    }

    @Override
    public long getItemId(int position) {
        return position;
    }

    @Override
    public View getView(int position, View convertView, ViewGroup parent) {
        ViewHolder viewHolder;
        if (null == convertView){
            viewHolder = new ViewHolder();
            convertView = mInflater.inflate(R.layout.alarm_item,null);
            viewHolder.textAlarmSrcCode = (TextView)convertView.findViewById(R.id.alarm_src_code);
            viewHolder.textAlarmSrcName = (TextView)convertView.findViewById(R.id.alarm_src_name);
            viewHolder.textAlarmType = (TextView)convertView.findViewById(R.id.alarm_type);
            viewHolder.textAlarmDesc = (TextView)convertView.findViewById(R.id.alarm_desc);
            viewHolder.textAlarmTime = (TextView)convertView.findViewById(R.id.alarm_time);
            convertView.setTag(viewHolder);
        }else
        {
            viewHolder = (ViewHolder)convertView.getTag();
            viewHolder.textAlarmSrcCode.setText(mList.get(position).getAlarmSrcCode());
            viewHolder.textAlarmSrcName.setText(mList.get(position).getAlarmSrcName());
            viewHolder.textAlarmType.setText(String.valueOf(mList.get(position).getAlarmType()));
            viewHolder.textAlarmDesc.setText(mList.get(position).getAlarmDesc());
            viewHolder.textAlarmTime.setText(mList.get(position).getAlarmTime());
        }

        return convertView;
    }

    class ViewHolder{
        private TextView textAlarmSrcCode;
        private TextView textAlarmSrcName;
        private TextView textAlarmType;
        private TextView textAlarmDesc;
        private TextView textAlarmTime;
    }
}
